My Project: dgCollisionCompoundFractured::dgFractureBuilder::dgFractureConectivity Class Reference

My Project

Public Member Functions | List of all members
dgCollisionCompoundFractured::dgFractureBuilder::dgFractureConectivity Class Reference
Inheritance diagram for dgCollisionCompoundFractured::dgFractureBuilder::dgFractureConectivity:

## Public Member Functions

| dgFractureConectivity (dgMemoryAllocator *const allocator)
Public Member Functions inherited from dgGraph< dgInt32, dgInt32 >
| dgGraph (dgMemoryAllocator *const allocator)
| ~dgGraph ()
dgGraph< dgInt32, dgInt32 >::dgListNode * | AddNode ()
void | DeleteNode (typename dgGraph< dgInt32, dgInt32 >::dgListNode *const node)
dgGraph< dgInt32, dgInt32 >::dgListNode * | GetNodeFromNodeData (dgInt32 *const nodeData)
Public Member Functions inherited from dgList< dgGraphNode< dgInt32, dgInt32 > >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgGraphNode< dgInt32, dgInt32 > &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgGraphNode< dgInt32, dgInt32 > &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgGraphNode< dgInt32, dgInt32 > &element) const
dgListNode * | GetNodeFromInfo (dgGraphNode< dgInt32, dgInt32 > &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgGraphNode< dgInt32, dgInt32 > &element)
void | RemoveAll ()
void | Merge (dgList< dgGraphNode< dgInt32, dgInt32 > > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgFractureConectivity()

dgCollisionCompoundFractured::dgFractureBuilder::dgFractureConectivity::dgFractureConectivity | ( | dgMemoryAllocator *const | allocator | ) |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.cpp